import{s as E,n as B,o as R}from"../chunks/scheduler.389d799c.js";import{S as k,i as J,g as i,s as r,r as N,A as O,h as n,f as d,c as s,j as A,u as D,x as h,k as C,y as W,a as o,v as F,d as I,t as U,w as G}from"../chunks/index.8f81d18f.js";import{H as K}from"../chunks/Heading.41733039.js";function Q(H){let a,q,b,g,c,w,u,L=`Hugging Face Inference Endpount comes with a default serving container which is used for all <a href="/docs/inference-endpoints/supported_tasks">supported Transformers and Sentence-Transformers tasks</a> and for <a href="/docs/inference-endpoints/guides/custom_handler">custom inference handler</a>.
The serving container takes care of serialization and deserialization of the request and response payloads based on the <code>content-type</code> and <code>accept</code> headers of the request.
That means that when you send a request with a JSON body and a <code>content-type: application/json</code> header, the serving container will deserialize the JSON payload into a Python dictionary and pass it to the inference handler and if you send
a request with a <code>accept: image/png</code> header, the serving container will seralize the response from the task/custom handler into a image.`,v,l,P="Below is a list of supported <code>content-types</code> and the deserialized payload that is passed to the inference handler.",_,p,$="<thead><tr><th>Content-Type</th> <th>Payload</th></tr></thead> <tbody><tr><td>application/json</td> <td><code>dict</code></td></tr> <tr><td>text/csv</td> <td><code>raw</code></td></tr> <tr><td>text/plain</td> <td><code>raw</code></td></tr> <tr><td>image/png</td> <td><code>binary</code></td></tr> <tr><td>image/jpeg</td> <td><code>binary</code></td></tr> <tr><td>image/jpg</td> <td><code>binary</code></td></tr> <tr><td>image/tiff</td> <td><code>binary</code></td></tr> <tr><td>image/bmp</td> <td><code>binary</code></td></tr> <tr><td>image/gif</td> <td><code>binary</code></td></tr> <tr><td>image/webp</td> <td><code>binary</code></td></tr> <tr><td>image/x-image</td> <td><code>binary</code></td></tr> <tr><td>audio/x-flac</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/flac</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/mpeg</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-mpeg-3</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/wave</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/wav</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-wav</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/ogg</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-audio</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/webm</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/webm;codecs=opus</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/AMR</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/amr</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/AMR-WB</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/AMR-WB+</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/m4a</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-m4a</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr></tbody>",x,y,j="Below is a list of supported <code>accept</code> headers and the serialized payload is returned.",T,m,S="<thead><tr><th>Accept</th> <th>Payload</th></tr></thead> <tbody><tr><td>application/json</td> <td><code>JSON</code></td></tr> <tr><td>text/csv</td> <td><code>raw</code></td></tr> <tr><td>text/plain</td> <td><code>raw</code></td></tr> <tr><td>image/png</td> <td><code>binary</code></td></tr> <tr><td>image/jpeg</td> <td><code>binary</code></td></tr> <tr><td>image/jpg</td> <td><code>binary</code></td></tr> <tr><td>image/tiff</td> <td><code>binary</code></td></tr> <tr><td>image/bmp</td> <td><code>binary</code></td></tr> <tr><td>image/gif</td> <td><code>binary</code></td></tr> <tr><td>image/webp</td> <td><code>binary</code></td></tr> <tr><td>image/x-image</td> <td><code>binary</code></td></tr></tbody>",z,f,M;return c=new K({props:{title:"Serialization & Deserialization for Requests",local:"serialization--deserialization-for-requests",headingTag:"h1"}}),{c(){a=i("meta"),q=r(),b=i("p"),g=r(),N(c.$$.fragment),w=r(),u=i("p"),u.innerHTML=L,v=r(),l=i("p"),l.innerHTML=P,_=r(),p=i("table"),p.innerHTML=$,x=r(),y=i("p"),y.innerHTML=j,T=r(),m=i("table"),m.innerHTML=S,z=r(),f=i("p"),this.h()},l(t){const e=O("svelte-u9bgzb",document.head);a=n(e,"META",{name:!0,content:!0}),e.forEach(d),q=s(t),b=n(t,"P",{}),A(b).forEach(d),g=s(t),D(c.$$.fragment,t),w=s(t),u=n(t,"P",{"data-svelte-h":!0}),h(u)!=="svelte-1e0760p"&&(u.innerHTML=L),v=s(t),l=n(t,"P",{"data-svelte-h":!0}),h(l)!=="svelte-46ywuy"&&(l.innerHTML=P),_=s(t),p=n(t,"TABLE",{"data-svelte-h":!0}),h(p)!=="svelte-1agffaq"&&(p.innerHTML=$),x=s(t),y=n(t,"P",{"data-svelte-h":!0}),h(y)!=="svelte-1m5j6ln"&&(y.innerHTML=j),T=s(t),m=n(t,"TABLE",{"data-svelte-h":!0}),h(m)!=="svelte-79p974"&&(m.innerHTML=S),z=s(t),f=n(t,"P",{}),A(f).forEach(d),this.h()},h(){C(a,"name","hf:doc:metadata"),C(a,"content",V)},m(t,e){W(document.head,a),o(t,q,e),o(t,b,e),o(t,g,e),F(c,t,e),o(t,w,e),o(t,u,e),o(t,v,e),o(t,l,e),o(t,_,e),o(t,p,e),o(t,x,e),o(t,y,e),o(t,T,e),o(t,m,e),o(t,z,e),o(t,f,e),M=!0},p:B,i(t){M||(I(c.$$.fragment,t),M=!0)},o(t){U(c.$$.fragment,t),M=!1},d(t){t&&(d(q),d(b),d(g),d(w),d(u),d(v),d(l),d(_),d(p),d(x),d(y),d(T),d(m),d(z),d(f)),d(a),G(c,t)}}}const V='{"title":"Serialization & Deserialization for Requests","local":"serialization--deserialization-for-requests","sections":[],"depth":1}';function X(H){return R(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class et extends k{constructor(a){super(),J(this,a,X,Q,E,{})}}export{et as component};
